library flutter_mail_server;

import 'dart:convert';
import 'package:http/http.dart' as http;

class Mailer {
  Future<dynamic> sendEmail(
    userName,
    userEmail,
    message,
    final receiver,
    final receiverCC,
    final errorMsg,
    final successMsg,
  ) async {
    try {
      var url = Uri.parse("https://000webhost.com");

      var response = await http.post(url, body: {
        // user end
        "name": userName,
        "email": userEmail,
        "messageContent": message,

        // company info
        "receiverEmail": receiver,
        "receiverCC": receiverCC,
      });

      var data = json.decode(response.body);

      if (data == "mail-success") {
        return successMsg;
      } else {
        return errorMsg;
      }
    } catch (e) {
      throw Exception(e);
    }
  }
}
